## AgsFxVolumeChannel

AgsFxVolumeChannel — fx volume channel

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxVolumeChannel * | ags_fx_volume_channel_new ()

## Properties

AgsPort * | muted | Read / Write
AgsPort * | volume | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxVolumeChannel

## Includes

    #include <ags/audio/fx/ags_fx_volume_channel.h>

## Description

The AgsFxVolumeChannel class provides ports to the effect processor.

## Functions

### ags_fx_volume_channel_new ()

    AgsFxVolumeChannel *
    ags_fx_volume_channel_new (AgsChannel *channel);

Create a new instance of AgsFxVolumeChannel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxVolumeChannel

Since: 3.3.0

## Property Details

### The `“muted”` property

      “muted”                    AgsPort *

The muted port.

Owner: AgsFxVolumeChannel

Flags: Read / Write

Since: 3.3.0

### The `“volume”` property

      “volume”                   AgsPort *

The volume port.

Owner: AgsFxVolumeChannel

Flags: Read / Write

Since: 3.3.0